summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2022-02-04 15:36:33 +0100
committerMichał Górny <mgorny@gentoo.org>2022-02-09 09:43:45 +0100
commit950d2685fb3c0e651cde900a2d4238e81c2c2139 (patch)
tree8f8056005402ebb5914c6fe497cac5fb6fd4e2b8 /eclass/python-utils-r1.eclass
parentpython-any-r1.eclass: Explain the reason for interpreter choice (diff)
downloadgentoo-950d2685fb3c0e651cde900a2d4238e81c2c2139.tar.gz
gentoo-950d2685fb3c0e651cde900a2d4238e81c2c2139.tar.bz2
gentoo-950d2685fb3c0e651cde900a2d4238e81c2c2139.zip
python-utils-r1.eclass: Report _python_run_check_deps verbosely
Report dep checking progress verbosely, to help users understand why a particular implementations was rejected or selected. Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'eclass/python-utils-r1.eclass')
-rw-r--r--eclass/python-utils-r1.eclass10
1 files changed, 9 insertions, 1 deletions
diff --git a/eclass/python-utils-r1.eclass b/eclass/python-utils-r1.eclass
index f8c0c00ce919..2a83ef463ffd 100644
--- a/eclass/python-utils-r1.eclass
+++ b/eclass/python-utils-r1.eclass
@@ -1380,12 +1380,20 @@ _python_run_check_deps() {
local impl=${1}
- python_is_installed "${impl}" || return 1
+ einfo "Checking whether ${impl} is suitable ..."
+
+ local PYTHON_PKG_DEP
+ _python_export "${impl}" PYTHON_PKG_DEP
+ ebegin " ${PYTHON_PKG_DEP}"
+ python_is_installed "${impl}"
+ eend ${?} || return 1
declare -f python_check_deps >/dev/null || return 0
local PYTHON_USEDEP="python_targets_${impl}(-)"
local PYTHON_SINGLE_USEDEP="python_single_target_${impl}(-)"
+ ebegin " python_check_deps"
python_check_deps
+ eend ${?}
}
_PYTHON_UTILS_R1=1